IP Detection
ASN-Lookup-API
Das autonome System einer IP und welche Art Netzwerk es ist.
ASN abrufen
GET/v1/asn/{ip}
API-Schlüssel
Parameter
- ipstringPfadErforderlich
IPv4- oder IPv6-Adresse.
Antwortfelder
- ipstring
Geprüfte IP-Adresse.
- asnstring
Nummer des autonomen Systems, etwa AS15169.
- namestring
Name der Organisation, die das Netzwerk betreibt.
- typestring
hosting, isp, vpn, education, government, mobile oder unknown.
- countrystring
Land, in dem die ASN registriert ist.
curl https://ipscanner.io/v1/asn/1.1.1.1 \
-H "Authorization: Bearer YOUR_API_KEY"Antwort
{
"ip": "1.1.1.1",
"asn": "AS13335",
"name": "CLOUDFLARENET",
"type": "hosting",
"country": "US"
}